Class | Tk::TkTable::CellTag
In: | tk/lib/tkextlib/tktable/tktable.rb
Parent: | TkObject

### Methods

add_cell add_col add_row cget configinfo configure current_configinfo delete destroy exist? id id2obj include? lower new raise

### Included Modules

TkTreatTagFont

### Constants

CellTagID_TBL | = | TkCore::INTERP.create_table
CellTag_ID | = | ['tktbl:celltag'.freeze, '00000'.taint].freeze

### Public Class methods

id2obj(table, id)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 125
      def self.id2obj(table, id)
        tpath = table.path
        return id unless CellTagID_TBL[tpath]
        CellTagID_TBL[tpath][id]? CellTagID_TBL[tpath][id] : id
      end

new(parent, keys=nil)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 131
      def initialize(parent, keys=nil)
        @parent = @t = parent
        @tpath - parent.path
        @path = @id = CellTag_ID.join(TkCore::INTERP._ip_id_)
        CellTagID_TBL[@tpath] = {} unless CellTagID_TBL[@tpath]
        CellTagID_TBL[@tpath][@id] = self
        CellTag_ID[1].succ!
        configure(keys) if keys
      end

### Public Instance methods

add_cell(*args)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 159
      def add_cell(*args)
        @t.tag_cell(@id, *args)
      end

add_col(*args)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 162
      def add_col(*args)
        @t.tag_col(@id, *args)
      end

add_row(*args)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 165
      def add_row(*args)
        @t.tag_row(@id, *args)
      end

cget(key)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 176
      def cget(key)
        @t.tag_cget(@id, key)
      end

configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 182
      def configinfo(key=nil)
        @t.tag_configinfo(@id, key)
      end

configure(key, val=None)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 179
      def configure(key, val=None)
        @t.tag_configure(@id, key, val)
      end

current_configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 185
      def current_configinfo(key=nil)
        @t.current_tag_configinfo(@id, key)
      end

delete()

Alias for destroy

destroy()

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 145
      def destroy
        tk_call(@tpath, 'tag', 'delete', @id)
        CellTagID_TBL[@tpath].delete(@id) if CellTagID_TBL[@tpath]
        self
      end

exist?()

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 152
      def exist?
        @t.tag_exist?(@id)
      end

id()

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 141
      def id
        @id
      end

include?(idx)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 155
      def include?(idx)
        @t.tag_include?(@id, idx)
      end

lower(target=None)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 172
      def lower(target=None)
        @t.tag_lower(@id, target)
      end

raise(target=None)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 169
      def raise(target=None)
        @t.tag_raise(@id, target)
      end

[Validate]